Subject: Option for easier typing of regexps

From: ndame <[email-masked]>
Date: Thu, 16 Dec 2021 17:41:17 +0000

I use query replace regexp a lot, as I imagine other people do, and I
always found that typing capturing groups and alternation is clumsy,
because they have to be escaped, and they are the ones  needed
most often: \(...\) \|

There could be a user option to make these easier to type by providing
a variable which controls which characters need escaping in
interactive mode, so the user could list those characters for which
the escaping rules are reversed when typing in the regexp replace
prompt.

E.g.  specifying "()|" means the user can do capturing and alternation
without typing backslashes and match the literal characters with escaping.

This is only an interactive helper feature, so it does not affect the
underlying lisp implementation. The input of the interactive prompt is
normalized after submission.